## perl 5.14.2

=== debian/changelog ===
perl (5.14.2-6ubuntu2.2) precise-security; urgency=low

  * SECURITY UPDATE: Heap overflow in "x" operator (LP: #1069034)
    - CVE-2012-5195
  * SECURITY UPDATE: CGI.pm improper cookie and p3p CRLF escaping
    - CVE-2012-5526

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 26 Nov 2012 11:27:58 -0800

perl (5.14.2-6ubuntu2.1) precise-proposed; urgency=low

  * Add versioned conflict against libxml-sax-perl to ensure it's upgraded
    to a version that doesn't use Files::Basename or is removed from the
    system. This fixes upgrades from 10.04. (LP: #990256)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Aug 2012 15:51:31 -0400

perl (5.14.2-6ubuntu2) precise; urgency=low

  * Have perl, perl-modules, and perl-base conflict with versions of
    mono-gac requiring File::Basename, to ensure a smooth upgrade from lucid.
    LP: #948848.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Mar 2012 07:59:20 -0700

perl (5.14.2-6ubuntu1) precise; urgency=low

  * debian/control: Add doc-base conflict also to perl, perl-modules, and
    libperl5.14. Otherwise they can get unpacked before upgrading perl-base
    and doc-base and thus still cause symbol lookup errors in the doc-base
    trigger. (Closes: #648954, LP: #902553)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 12:25:31 +0100

perl (5.14.2-6) unstable; urgency=low

  [ Niko Tyni ]
  * debian/rules: correctly handle subject line wraps in patch headers.

  [ Dominic Hargreaves ]
  * Add versioned Conflicts on update-inetd (<< 4.41) (Closes: #649177)
  * Conflict on rather than Break doc-base (<< 0.10.3); aptitude
    runs doc-base triggers before the new version has been unpacked
  * Update Lintian override for perl-module-uses-perl4-libs-without-dep
    to reflect new path to CGI.pm
  * Disable various tests which fail on GNU/Hurd (see #648623)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 28 Nov 2011 19:48:05 +0000

perl (5.14.2-5) unstable; urgency=low

  * Update versioned Breaks for dual-lived modules with updates in
    5.14.2 (libmodule-corelist-perl, libencode-perl)
  * Update versioned Breaks for doc-base to << 0.10.3; this version
    improves the resilience of the postinst during a major perl upgrade
    (Closes: #648954)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 17 Nov 2011 23:29:20 +0000

perl (5.14.2-4) unstable; urgency=low

  * Add Conflicts: libjson-pp-perl (<< 2.27200-2) to perl package
    to fix file conflict with dual-lived module (Closes: #648897)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 15 Nov 2011 23:36:39 +0000

perl (5.14.2-3) unstable; urgency=low

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Nov 2011 12:12:26 +0000

perl (5.14.2-2) experimental; urgency=low

  * [SECURITY] CVE-2011-3597: Fix unsafe use of eval in Digest->new();
    thanks to Ansgar Burchardt for the notification (Closes: #644108)
  * Merge 5.12.4-6 from unstable
  * Fix NDBM_File hints on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #645989)
  * Fix hang in t/ext/POSIX/t/sysconf.t on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #646016)
  * Enable LFS on GNU/Hurd
    (thanks, Pino Toscano) (Closes: #645790)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 12 Nov 2011 17:25:33 +0000

perl (5.14.2-1) experimental; urgency=low

  * Fix typos in several pod/perl*.pod files (Closes: #637816)
  * New upstream version.
    + Fix a memory leak in Carp::shortmess. (Closes: #638676)
  * Update CPAN::Distribution to use html2text rather than html2text.pl;
    thanks to Andreas Marschke for the patch (Closes: #640479)
  * Override Lintian warning perl-module-uses-perl4-libs-without-dep
    as the Perl4 libraries are provided by perl itself
  * Merge 5.12.4-5 from unstable

 -- Dominic Hargreaves <dom@earth.li>  Thu, 29 Sep 2011 21:51:55 +0100

perl (5.14.1-2) experimental; urgency=low

  * Promote libclass-isa-perl and libswitch-perl from Recommends to
    Depends, to improve partial upgrades from squeeze to wheezy
    (see: #629472)
  * Demote libpod-plainer-perl from Recommends to Suggests, based on
    analysis of its usage in Debian (see: #629472)
  * Skip a crashing test case in t/op/threads.t on GNU/kFreeBSD
    (see: #628493, thanks Niko)
  * Apply patch from Niko documenting the correct use of CCFLAGS in
    ExtUtils::MakeMaker (see: #628522)
  * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
    messages (thanks, Niko) (Closes: #627821)
  * [SECURITY] CVE-2011-2939: Fix decode_xs n-byte heap-overflow security
    bug in Unicode.xs (Closes: #637376)
  * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
    Pino Toscano. (Closes: #636609)
  * Merge 5.12.4-3 and 5.12.4-4 from unstable
  * Fix lintian error by build-depending on procps [!hurd-any] rather
    than procps | hurd (and adjust existing [!hurd-i386] to
    [!hurd-any]) (Closes: #635647)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 11 Aug 2011 18:28:44 +0100

perl (5.14.1-1) experimental; urgency=low

  [ Niko Tyni ]
  * New upstream version.
    + ODBM_File hints find libgdbm_compat again in multiarch setups
      (Closes: #625634)
    + Lengthen time-out in t/re/re.t; fixes FTBFS on sh4 (Closes: #626125)
  * Move all package maintainer tests to debian/t/
  * Switch to git-dpm for managing debian/patches
    + generate the patchlevel information from debian/patches at build time.
  * Multiarch related fixes:
    + Remove the Debian/Ubuntu specific path fix introduced in
      5.12.3-3 and obsoleted by the upstream fix in 5.14.0.
    + h2ph now correctly gets the header directories from gcc (Closes: #625808)
  * Revert obsolete patches:
    - debian/arm_optim.diff
    - debian/devel-ppport-ia64-optim.diff
    - fixes/processPL.diff (Closes: #626094) 
  * Support the 'build-arch' and 'build-indep' debian/rules targets
    as synonyms for 'build'.
  * Remove a stale perlcc reference from the libperl-dev long description.
  * Don't use LD_RUN_PATH for multiarch directories (Closes: #631096)

