=== debian/control ===
Source: perl
Section: perl
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Niko Tyni <ntyni@debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.2
Build-Depends: file, cpio (>= 2.6-5), libdb-dev, libgdbm-dev, netbase [!hurd-any],
 gcc (>= 4:4.2), procps [!hurd-any], zlib1g-dev | libz-dev, libbz2-dev,
 dpkg-dev (>= 1.16.0)
Build-Conflicts: libterm-readline-gnu-perl (<< 1.17), libfile-sharedir-perl
Vcs-Git: git://anonscm.debian.org/perl/perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=perl/perl.git

Package: perl-base
Essential: yes
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, dpkg (>= 1.14.20)
Conflicts: safe-rm (<< 0.8),
 update-inetd (<< 4.41),
 doc-base (<< 0.10.3), mono-gac (<< 2.10.8.1-1ubuntu1), libxml-sax-perl (<< 0.99+dfsg-1ubuntu0.1)
Breaks: autoconf2.13 (<< 2.13-45),
 libscalar-list-utils-perl (<< 1:1.23),
 libfile-spec-perl (<< 3.3300),
 libxsloader-perl (<< 0.13),
 libmarc-charset-perl (<< 1.2)
Replaces: perl (<< 5.10.1-12), perl-modules (<< 5.10.1-1), libperl5.8 (<< 5.8.0-20),
 libscalar-list-utils-perl,
 libxsloader-perl 
Provides: perl5-base, ${perlapi:Provides},
 libscalar-list-utils-perl,
 libxsloader-perl
Suggests: perl
Description: minimal Perl system
 Perl is a scripting language used in many system scripts and utilities.
 .
 This package provides a Perl interpreter and the small subset of the
 standard run-time library required to perform basic tasks. For a full
 Perl installation, install "perl" (and its dependencies, "perl-modules"
 and "perl-doc").

Package: libcgi-fast-perl
Priority: optional
Architecture: all
Depends: perl (>= ${source:Version}), perl (<< ${Next-Upstream-Version}~), libfcgi-perl
Description: CGI::Fast Perl module
 CGI::Fast is a subclass of the CGI object created by CGI.pm.  It is
 specialized to work well with the Open Market FastCGI standard, which
 greatly speeds up CGI scripts by turning them into persistently running
 server processes.  Scripts that perform time-consuming initialization
 processes, such as loading large modules or opening persistent database
 connections, will see large performance improvements.

Package: perl-doc
Section: doc
Priority: optional
Architecture: all
Depends: perl (>= ${Upstream-Version}-1)
Suggests: man-browser, groff
Description: Perl documentation
 Perl manual pages, POD documentation and the `perldoc' program.  If you are
 writing Perl programs, you almost certainly need this.

Package: perl-modules
Priority: standard
Architecture: all
Depends: perl (>= ${Upstream-Version}-1),
 libswitch-perl,
 libclass-isa-perl
Recommends: libshell-perl,
 libperl4-corelibs-perl
Suggests: libpod-plainer-perl
Breaks: libpod-parser-perl (<< 1.37),
 libansicolor-perl (<< 3.00),
 libfile-temp-perl (<< 0.22),
 libnet-perl (<= 1:1.22),
 libattribute-handlers-perl (<< 0.89),
 libcgi-pm-perl (<< 3.52),
 libi18n-langtags-perl (<< 0.35.01),
 liblocale-maketext-perl (<< 1.19),
 libmath-bigint-perl (<< 1.994),
 libnet-ping-perl (<< 2.38),
 libtest-harness-perl (<< 3.23),
 libtest-simple-perl (<< 0.98),
 liblocale-codes-perl (<< 3.16),
 libmodule-corelist-perl (<< 2.49.02),
 libio-zlib-perl (<< 1.10),
 libarchive-tar-perl (<< 1.76),
 libextutils-cbuilder-perl (<< 0.280203),
 libmodule-build-perl (<< 0.380000),
 libmodule-load-perl (<< 0.18),
 liblocale-maketext-simple-perl (<< 0.21),
 libparams-check-perl (<< 0.28),
 libmodule-pluggable-perl (<< 3.9),
 libmodule-load-conditional-perl (<< 0.44),
 libcpanplus-perl (<< 0.9103),
 libversion-perl (<< 1:0.8800),
 libpod-simple-perl (<< 3.16),
 libextutils-parsexs-perl (<< 2.221000),
 libpod-escapes-perl (<< 1.04),
 libparse-cpan-meta-perl (<< 1.4401),
 libparent-perl (<< 0.225),
 libautodie-perl (<< 2.10.01),
 libthread-queue-perl (<< 2.12),
 libfile-spec-perl (<< 3.3300),
 libtime-local-perl (<< 1.2000),
 podlators-perl (<< 2.3.1),
 libunicode-collate-perl (<< 0.73),
 libcpan-meta-perl (<< 2.110440),
 libmath-complex-perl (<< 1.56),
 libextutils-command-perl (<< 1.17),
 libmodule-metadata-perl (<< 1.000004),
 libjson-pp-perl (<< 2.27105),
 libperl-ostype-perl (<< 1.002),
 libversion-requirements-perl(<< 0.101020),
 libcpan-meta-yaml-perl (<< 0.003),
 libdigest-perl (<< 1.16),
 libextutils-install-perl (<< 1.56),
 libhttp-tiny-perl (<< 0.012),
 libfile-path-perl (<< 2.08.01),
 libshell-perl (<< 0.72.01)
Replaces: libpod-parser-perl,
 libansicolor-perl,
 libfile-temp-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libcgi-pm-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-build-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-pluggable-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libcpanplus-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libfile-path-perl,
 libshell-perl,
 libperl4-corelibs-perl
Provides: libpod-parser-perl,
 libansicolor-perl,
 libfile-temp-perl,
 libnet-perl,
 libattribute-handlers-perl,
 libcgi-pm-perl,
 libi18n-langtags-perl,
 liblocale-maketext-perl,
 libmath-bigint-perl,
 libnet-ping-perl,
 libtest-harness-perl,
 libtest-simple-perl,
 liblocale-codes-perl,
 libmodule-corelist-perl,
 libio-zlib-perl,
 libarchive-tar-perl,
 libextutils-cbuilder-perl,
 libmodule-build-perl,
 libmodule-load-perl,
 liblocale-maketext-simple-perl,
 libparams-check-perl,
 libmodule-pluggable-perl,
 libmodule-load-conditional-perl,
 libversion-perl,
 libpod-simple-perl,
 libextutils-parsexs-perl,
 libcpanplus-perl,
 libpod-escapes-perl,
 libparse-cpan-meta-perl,
 libparent-perl,
 libautodie-perl,
 libthread-queue-perl,
 libfile-spec-perl,
 libtime-local-perl,
 podlators-perl,
 libunicode-collate-perl,
 libcpan-meta-perl,
 libmath-complex-perl,
 libextutils-command-perl,
 libmodule-metadata-perl,
 libjson-pp-perl,
 libperl-ostype-perl,
 libversion-requirements-perl,
 libcpan-meta-yaml-perl,
 libdigest-perl,
 libextutils-install-perl,
 libhttp-tiny-perl,
 libfile-path-perl,
 libshell-perl,
 libperl4-corelibs-perl
Conflicts: doc-base (<< 0.10.3), mono-gac (<< 2.10.8.1-1), libxml-sax-perl (<< 0.99+dfsg-1ubuntu0.1)
Description: Core Perl modules
 Architecture independent Perl modules.  These modules are part of Perl and
 required if the `perl' package is installed.
 .
 Note that this package only exists to save archive space and should be
 considered an internal implementation detail of the `perl' package.
 Other packages should not depend on `perl-modules' directly, they
 should use `perl' (which depends on `perl-modules') instead.

Package: perl-debug
Section: debug
Priority: extra
Architecture: any
Depends: perl (= ${binary:Version}), ${shlibs:Depends}
Description: debug-enabled Perl interpreter
 debugperl provides a debug-enabled version of Perl which can produce
 extensive information about the interpreter as it compiles and executes
 a program (see the -D switch in perlrun(1)).
 .
 Note that this package is primarily of use in debugging *Perl* rather
 than perl programs, which may be traced/debugged using the standard
 perl binary using the -d switch (see perldebug(1)).

Package: libperl5.14
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, perl-base (= ${binary:Version})
Conflicts: doc-base (<< 0.10.3), libxml-sax-perl (<< 0.99+dfsg-1ubuntu0.1)
Replaces: perl-base (<= 5.8.7-4)
Description: shared Perl library
 This package is required by programs which embed a Perl interpreter to
 ensure that the correct version of `perl-base' is installed.  It
 additionally contains the shared Perl library on architectures where the
 perl binary is linked to libperl.a (currently only i386, for performance
 reasons).  In other cases the actual library is in the `perl-base' package.

Package: libperl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: perl (= ${binary:Version}), libperl5.14 (= ${binary:Version}),
 libc6-dev | libc-dev
Description: Perl library: development files
 Files for developing applications which embed a Perl interpreter.

Package: perl
Priority: standard
Architecture: any
Depends: perl-base (= ${binary:Version}), perl-modules (>= ${source:Version}), ${shlibs:Depends}
Conflicts: libjson-pp-perl (<< 2.27200-2), doc-base (<< 0.10.3), mono-gac (<< 2.10.8.1-1), libxml-sax-perl (<< 0.99+dfsg-1ubuntu0.1)
Breaks: perl-doc (<< ${Upstream-Version}-1),
 libdigest-md5-perl (<< 2.51),
 libmime-base64-perl (<< 3.13),
 libtime-hires-perl (<< 1.9721.01),
 libstorable-perl (<< 2.27),
 libdigest-sha-perl (<< 5.61),
 libsys-syslog-perl (<< 0.27),
 libcompress-zlib-perl (<< 2.033),
 libcompress-raw-zlib-perl (<< 2.033),
 libcompress-raw-bzip2-perl (<< 2.033),
 libio-compress-zlib-perl (<< 2.033),
 libio-compress-bzip2-perl (<< 2.033),
 libio-compress-base-perl (<< 2.033),
 libio-compress-perl (<< 2.033),
 libthreads-perl (<< 1.83),
 libthreads-shared-perl (<< 1.37),
 libtime-piece-perl (<< 1.20.01),
 libencode-perl (<< 2.42.01),
 libdevel-dprof-perl (<< 20110228.00),
 mrtg (<< 2.16.3-3.1)
Replaces: perl-base (<< 5.10.1-12),
 perl-doc (<< 5.8.0-1),
 perl-modules (<< 5.8.1-1),
 libarchive-tar-perl (<= 1.38-2),
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libtime-piece-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libmodule-corelist-perl (<< 2.14-2),
 libencode-perl,
 libdevel-dprof-perl
Provides: data-dumper, perl5,
 libdigest-md5-perl,
 libmime-base64-perl,
 libtime-hires-perl,
 libstorable-perl,
 libdigest-sha-perl,
 libsys-syslog-perl,
 libcompress-zlib-perl,
 libcompress-raw-zlib-perl,
 libcompress-raw-bzip2-perl,
 libio-compress-zlib-perl,
 libio-compress-bzip2-perl,
 libio-compress-base-perl,
 libio-compress-perl,
 libthreads-perl,
 libthreads-shared-perl,
 libtime-piece-perl,
 libencode-perl,
 libdevel-dprof-perl
Recommends: netbase, libdevel-dprof-perl
Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
 make
Description: Larry Wall's Practical Extraction and Report Language
 An interpreted scripting language, known among some as "Unix's Swiss
 Army Chainsaw".
 .
 Perl is optimised for scanning arbitrary text files and system
 administration.  It has built-in extended regular expression matching
 and replacement, a data-flow mechanism to improve security with
 setuid scripts and is extensible via modules that can interface to C
 libraries.
